glutLayerGet(3GLUT)

NAME
glutLayerGet - retrieves GLUT state pertaining to the layers of the current window.

SYNTAX

int glutLayerGet(GLenum info);

ARGUMENTS

info
    Name of device information to retrieve.

GLUT_OVERLAY_POSSIBLE
    Whether an overlay could be established for the current window given the current initial display mode. If false, glutEstablishOverlay will fail with a fatal error if called.

GLUT_LAYER_IN_USE
    Either GLUT_NORMAL or GLUT_OVERLAY depending on whether the normal plane or overlay is the layer in use.

GLUT_HAS_OVERLAY
    If the current window has an overlay established.

GLUT_TRANSPARENT_INDEX
    The transparent color index of the overlay of the current window; negative one is returned if no overlay is in use.

GLUT_NORMAL_DAMAGED
    True if the normal plane of the current window has damaged (by window system activity) since the last display callback was triggered. Calling glutPostRedisplay will not set this true.

GLUT_OVERLAY_DAMAGED
    True if the overlay plane of the current window has damaged (by window system activity) since the last display callback was triggered. Calling glutPostRedisplay or glutPostOverlayRedisplay will not set this true. Negative one is returned if no overlay is in use.

DESCRIPTION
glutLayerGet retrieves GLUT layer information for the current window represented by integers. The info parameter determines what type of layer information to return.

SEE ALSO
glutEstablishOverlay, glutUseOverlay, glutCreateWindow, glutSetColor

AUTHOR
Mark J. Kilgard (mjk@nvidia.com)